/* $Id: helper.c 1316 2006-11-27 10:35:02Z olau $ */

#include <mpi.h>

#include "helper.h"

/** Speicherbereich allozieren, MPI-Programmabbruch bei Fehler. */
void *safe_malloc(size_t len) {
    void *m = malloc(len);
    if (m == 0)
        MPI_Abort(MPI_COMM_WORLD, EXIT_FAILURE);
    return m;
}
